[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# UnpackTime

Unpack packed file time to a DateTime value

## Declaration

Source position: dosh.inc line 94

`procedure UnpackTime(`
`p: LongInt;`
`var t: DateTime`
`);`

## Description

UnPackTime converts the file-modification time in p to a DateTime record. The file-modification time can be returned by GetFTime, FindFirst or FindNext calls.

For an example, see PackTime.

## Errors

None.

## See also

GetFTime |  | Get file last modification time.
FindFirst |  | Start search for one or more files.
FindNext |  | Find next matching file after FindFirst
PackTime |  | Pack DateTime value to a packed-time format.